LibreOffice: HierarchyDataReadAccess Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
HierarchyDataReadAccess Service Referencepublished

provides read access to a fragment of the hierarchy data. More...

Inheritance diagram for HierarchyDataReadAccess:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
| gives access to the data members of a hierarchy data node.
interface | com::sun::star::container::XHierarchicalNameAccess
| gives access to the data members of a hierarchy data node as well as to any child nodes or to the data members of child nodes using a hierarchical name.
interface | com::sun::star::util::XChangesNotifier
| allows registering listeners that observe the hierarchy data source.
interface | com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of the hierarchy data access object.

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XChangesNotifier
void | addChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| adds the specified listener to receive events when changes occurred.
void | removeChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| removes the specified listener.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

provides read access to a fragment of the hierarchy data.

A hierarchy data source provides access to a tree of hierarchy data nodes. Each hierarchy data node, except the root node, has a parent that is a hierarchy data node too. A hierarchy data node has a name.

Each hierarchy data node has three data members:

- "Title", which is of type `string`. It contains a title for the node. This value must not be empty.
- "TargetURL", which is of type `string` It may contain any URL, which will be treated as the target of a hierarchy link.
- "Children", which is of type HierarchyDataReadAccess or of type HierarchyDataReadWriteAccess, depending on the type of the node. This member provides access to the children of a node.

## Exported Interfaces

## ◆ com::sun::star::container::XHierarchicalNameAccess

interface com::sun::star::container::XHierarchicalNameAccess

gives access to the data members of a hierarchy data node as well as to any child nodes or to the data members of child nodes using a hierarchical name.

A hierarchical name consists of segments that are separated by a single slash ("/"). There is neither a leading nor a trailing slash allowed.

- path = segment ( '/' segment )*
- segment = '[' quoted-string ']'
- quoted-string = "'" escaped-string "'"
- escaped-string = escaped according to XML attribute naming conventions

Examples:

- `getByHierarchicalName( "Title" )` will return an `any` containing a string containing the title of the node itself.
- `getByHierarchicalName( "Children/['subnode1']" )` will give access to the child node named "subnode1" of the node. It will return an `any` containing an implementation of service HierarchyDataReadAccess, if it was called on a read-only node. It will return an implementation of service HierarchyDataReadWriteAccess if it was called on a writable node.
- `getByHierarchicalName( "Children/['subnode2']/TargetURL" )` will give direct access to the "TargetURL" data member of the child node named "subnode2" of the node. It will return an `any` containing a `string` containing the target URL of the node.
- `getByHierarchicalName( "Children/['subnode3']/Children" )` will give direct access to the "Children" data member of the child node named "subnode3" of the node. It will return an `any` containing an implementation of service HierarchyDataReadAccess, if it was called on a read-only node. It will return an implementation of service HierarchyDataReadWriteAccess if it was called on a writable node.

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

gives access to the data members of a hierarchy data node.

Examples:

- `getByName( "Title" )` will return an `any` containing a string containing the title of the node.
- `getByName( "Children" )` will return an `any` containing an implementation of service HierarchyDataReadAccess, if it was called on a read-only node. It will return an implementation of service HierarchyDataReadWriteAccess if it was called on a writable node.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows controlling or observing the lifetime of the hierarchy data access object.

## ◆ com::sun::star::util::XChangesNotifier

interface com::sun::star::util::XChangesNotifier

allows registering listeners that observe the hierarchy data source.

A client can register an com::sun::star::util::XChangesListener, which will receive notifications for any changes within the hierarchy (fragment) this object represents.

An implementation should collect as many changes as possible into a single com::sun::star::util::ChangesEvent.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/HierarchyDataReadAccess.idl